Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.xml.registry.infomodel
Interface ExternalLink

All Superinterfaces:
  ExtensibleObject, RegistryObject, URIValidator

public interface ExternalLink
extends RegistryObject, URIValidator

ExternalLink instances model a named URI to content that may reside outside the registry. RegistryObject may be associated with any number of ExternalLinks to annotate a RegistryObject with external links to external content.

Consider the case where a Submitting Organization submits a repository item (e.g. a DTD) and wants to associate some external content to that object (e.g. the Submitting Organization's home page). The ExternalLink enables this capability.

Author:
  Farrukh S. Najmi
See Also:
  `RegistryObject`

Method Summary
`java.lang.String` | `getExternalURI()` Gets URI to the an external resource.
`java.util.Collection` | `getLinkedObjects()` Gets the collection of RegistryObjects that are annotated by this ExternalLink.
`void` | `setExternalURI(java.lang.String uri)` Sets URI for an external resource.

Methods inherited from interface javax.xml.registry.infomodel.RegistryObject
`addAssociation, addAssociations, addClassification, addClassifications, addExternalIdentifier, addExternalIdentifiers, addExternalLink, addExternalLinks, getAssociatedObjects, getAssociations, getAuditTrail, getClassifications, getDescription, getExternalIdentifiers, getExternalLinks, getKey, getLifeCycleManager, getName, getObjectType, getRegistryPackages, getSubmittingOrganization, removeAssociation, removeAssociations, removeClassification, removeClassifications, removeExternalIdentifier, removeExternalIdentifiers, removeExternalLink, removeExternalLinks, setAssociations, setClassifications, setDescription, setExternalIdentifiers, setExternalLinks, setKey, setName, toXML`

Methods inherited from interface javax.xml.registry.infomodel.ExtensibleObject
`addSlot, addSlots, getSlot, getSlots, removeSlot, removeSlots`

Methods inherited from interface javax.xml.registry.infomodel.URIValidator
`getValidateURI, setValidateURI`

Method Detail

### getLinkedObjects

    public java.util.Collection getLinkedObjects()
                                          throws JAXRException

  Gets the collection of RegistryObjects that are annotated by this ExternalLink.

  Capability Level: 0

  Returns:
    Collection of RegistryObjects. Return an empty Collection if no RegistryObjects are annotated by this object.
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### getExternalURI

    public java.lang.String getExternalURI()
                                    throws JAXRException

  Gets URI to the an external resource. Default is a NULL String.

  Capability Level: 0

  Returns:
    the URI String for this object (e.g. "http://java.sun.com")
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

### setExternalURI

    public void setExternalURI(java.lang.String uri)
                        throws JAXRException

  Sets URI for an external resource.

  Capability Level: 0

  Parameters:
    `uri` - the URI String for this object (e.g. "http://java.sun.com")
  Throws:
    `JAXRException` - If the JAXR provider encounters an internal error

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.